#ifndef __MAINWINDOW_H__
#define __MAINWINDOW_H__

#include <wx/wx.h>
//#include <wx/image.h>

/*
 * The MainWindow Class definition
 */
class MainWindow: public wxFrame {
public:
	MainWindow(const wxString& title, const wxPoint& pos, const wxSize& size);
	
private:
	void OnQuit(wxCommandEvent& event);
	void OnAbout(wxCommandEvent& event);
	void OnOpen(wxCommandEvent& event);
	void OnFocus(wxFocusEvent& event);
	void OnPaint(wxPaintEvent& event);
	void OnSize(wxSizeEvent& event);
	void OnScroll(wxScrollEvent& event);
	
	DECLARE_EVENT_TABLE()
};

enum {
	ID_Open,	
	ID_Quit = 1,
	ID_About,
};


#endif
