#include "Thumbnail.h"

/*
 * Event Table
 */
/*
BEGIN_EVENT_TABLE(Thumbnail, wxStaticBitmap)
	EVT_MENU(ID_Open, MainWindow::OnOpen)
	EVT_MENU(ID_Quit, MainWindow::OnQuit)
	EVT_MENU(ID_About, MainWindow::OnAbout)
END_EVENT_TABLE()
*/

/*
 * The MainWindow constructor
 */
Thumbnail::Thumbnail(const wxString& title, const wxString& imgFile, const wxPoint& pos, const wxSize& size)
: wxStaticBitmap() {
	// THE TEST SECTION!
	
	wxImage *image;
	wxBitmap *bitmap;
	wxStaticBitmap *staticbitmap1;
	wxStaticBitmap *staticbitmap2;
	
	image = new wxImage();
	image->LoadFile("test.jpeg", wxBITMAP_TYPE_JPEG, -1);
	unsigned char *imgdata = image->GetData();
	
	memset(imgdata, 0, 8);
	
	bitmap = new wxBitmap(image, -1);
	
	staticbitmap1 = new wxStaticBitmap(this, 667, *bitmap, 
			wxPoint(1,1), 
			wxSize(image->GetWidth(), image->GetHeight()), 
			0, "Test.jpeg");

	staticbitmap2 = new wxStaticBitmap(this, 668, *bitmap, 
			wxPoint(image->GetWidth() + 2, 1), 
			wxSize(image->GetWidth(), image->GetHeight()), 
			0, "Test.jpeg");

	// END OF THE TEST SECTION!
}


/*
 * Open Click handler
 * /
void Thumbnail::OnOpen(wxCommandEvent& WXUNUSED(event)) {
	wxMessageBox("This should be the Open folder box",
		"Open Folder", wxOK | wxICON_INFORMATION, this);
}
*/


/*
 * Indls billedet fra fil til en wxImage
 * wxBitmap
 * wxDC setuserscale
 * wxDC::drawtext og line osv...
 * Fang Redraw besked og bitblit DCen til en DC p skrmen.








 */
